WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WP-United : phpBB WordPress Integration

WP-United integrates phpBB and WordPress to make a social site. Enable any of these modules: sign-on, theming, widgets, cross-posting and behaviour.

Does this work with WordPress multisite?

It works but is not recommended for use, especially with single sign-on currently, as it does not behave as expected. In future versions WP-United will allow per-user blogs with WordPress multisite, so stay tuned.

I enabled the plugin but nothing is happening!

Follow the instructions to connect to your phpBB forum in the WP-United section of the admin panel.

I can't connect, I am getting errors.

Ensure you have installed the phpBB modification package. You can download it from (WP-United.com)[http://www.wp-united.com/releases/wp-united-latest-phpbb] . You need to ensure that you install the package properly, for all installed phpBB templates and languages. The WP-United.com forum has more information.

I am getting blank pages, I have no idea what is wrong!

Please visit This thread to find out how to debug the problem.

User integration is turned on, but I keep getting new WordPress accounts (e.g. `admin1`) instead of having existing accounts linked

This is because you have "automatic user creation" turned on. It is just doing what you ask. To link together existing accounts, please disable "automatically create users in WordPress" option, and visit the WP-United User Mapper. There, you can clean up an unneeded accounts and link together the ones you want. When done, you can re-enable automatic user creation.

User creation is turned on, but users keep getting logged out

Please check your phpBB cookie settings. The "Cookie Domain" must be applicable for your whole site, including WordPress. Same for the "cookie path" (usuall '/' will be OK for this). More information is on the WP-United forum.

Links to my forum are wrong!

Check your phpBB server settings (phpBB ACP -> Server Settings). The domain and script path must be set correctly.

Requires: 3.4.0 or higher
Compatible up to: 3.9.1
Last Updated: 2014-5-21
Downloads: 31,727

Ratings

3 stars
3.6 out of 5 stars

Support

3 of 21 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Works!

6 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2
100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,3,3 100,3,3 100,3,3 100,1,1
0,1,0 83,6,5 67,6,4
100,4,4
83,6,5
40,5,2
100,2,2
38,8,3
40,5,2
0,5,0
100,1,1 100,6,6